Subject: Ticket Assigned - Returns
From: Splash <[email-masked]>
To: [email-masked]
Date: Sun, 06 Sep 2020 05:55:17 +0000

Hi Rehan Khan,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Order #8390494775
I have placed an order on 1st July 2020. I've received the order and asked to return one of the  item cost 3.12kd Bossini Solid Shirt with Mandarin Collar and Curved Hem.
it is now more than 2 months now. I've been calling  splash customer care once a every week and they say the same thing that the courier will contact me asap but no one does. kindly give me a response or just refund the amount. FOR GOD's SAKE : THANK YOU FOR NOTHING https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1458736